body:not(.home) {
    .site-main {
        padding-top: var(--wp--custom--xxl-spacing);
        padding-bottom: var(--wp--custom--xxl-spacing);
    }
}

body.page-template-default {
    .site-main {
        //padding-top: var(--wp--custom--xxl-spacing);
        padding-bottom: var(--wp--custom--xxxl-spacing);
    }
}

.site-main .entry-content {
    p, ul, ol {
        margin-bottom: var(--wp--custom--m-spacing);
    }
    .wp-block-buttons {
        margin-bottom: var(--wp--custom--l-spacing);
    }
    .wp-block-group, .wp-block-columns {
        margin-bottom: 0;
    }
    > * {
        margin-block-start: 0;
    }
}

.entry-content > *:not(.alignfull):not(.alignwide):not(.alignleft):not(.alignright),
.entry-header:not(.alignfull):not(.alignwide),
.entry-footer:not(.alignfull):not(.alignwide),
.archive-content:not(.alignfull):not(.alignwide) {
    margin-left: auto;
    margin-right: auto;
    max-width: calc( var(--wp--custom--content-size) + var(--wp--custom--l-spacing) );
    padding-left: var(--wp--custom--l-spacing);
    padding-right: var(--wp--custom--l-spacing);
}

.entry-header,
.entry-content,
.entry-footer {
    &.alignwide {
       max-width: 774px; 
       p {
        margin-left: 0 !important;
        margin-right: 0 !important;
        padding-left: 0 !important;
        padding-right: 0 !important;
       }
    }
}

.single-resource,
.single-tool {
    .entry-content > *:not(.alignfull):not(.alignwide):not(.alignleft):not(.alignright) {
        @include breakpoint(sm, true) {
            padding-left: 0;
            padding-right: 0;
        }
    }
    .entry-header {
        @include breakpoint(sm, true) {
            padding-left: 0 !important;
            padding-right: 0 !important;
        }
    }
}

.single-tool {

    .related-posts {
        .wp-block-button {
            .wp-block-button__link {
                &:hover,
                &:focus {
                    background-color: var(--wp--preset--color--blue-2-a);
                    border-color: var(--wp--preset--color--blue-2-a);
                    color: var(--wp--preset--color--blue-2-d);
                }
            }
        }
    }

    .modal__close {
        border-color: var(--wp--preset--color--blue-1-a);
        & svg {
            fill: var(--wp--preset--color--blue-1-a);
        }

        &:hover,
        &:focus {
            border-color: var(--wp--preset--color--blue-1-a);
            background-color: var(--wp--preset--color--blue-1-a);
            & svg {
                fill: var(--wp--preset--color--blue-1-c);
            }
        }
    }

    .entry-content > *:not(.alignfull):not(.alignwide):not(.alignleft):not(.alignright) {
        margin-left: 0;
        margin-right: 0;
    }
}

.single-tools,
.single-resource {
    & .entry-content {
        p {
            margin-bottom: 15px;
            &:last-child {margin-bottom: 0;}
        }
    }
}

.post-type-archive-ressource,
.post-type-archive-tool,
.single-tools,
.single-resource {
    .mobile-step-navigation.top {
        @include breakpoint(sm, true) {
            display: none;
        }
    }
}

.single-resource {
    & .entry-footer {
        & .entry-cta {
            background-color: var(--wp--preset--color--blue-2-d);
            color: var(--wp--preset--color--blue-2-a);
        }
    }
}

.grid-2 {
    display: grid;
    gap: var(--wp--custom--l-spacing);
    @include breakpoint(sm, true) {
        grid-template-columns: 1fr;
    }
    @include breakpoint(sm) {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

.grid-3 {
    display: grid;
    gap: var(--wp--custom--l-spacing);
    @include breakpoint(sm, true) {
        grid-template-columns: 1fr;
    }
    @include breakpoint(sm) {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}

.grid-2-1 {
    display: grid;
    gap: var(--wp--custom--l-spacing);
    @include breakpoint(sm, true) {
        grid-template-columns: 1fr;
    }
    @include breakpoint(sm) {
        grid-template-columns: 2fr 1fr;
    }
}

.alignfull {
    width: 100%;
}

@include breakpoint(sm, true) {
    main .entry-content .wp-block-columns.alignfull p {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
}

@include breakpoint(sm) {
    .entry-content {
        > .alignwide {
            margin-left: auto;
            margin-right: auto;
            width: 80%;
        }
    }
}

body.post-type-archive-tool {
    .wpgb-filters {
      .wpgb-facet {
        .wpgb-facet-title {
          color: var(--wp--preset--color--blue-1-a);
        }
        .wpgb-search-facet input[type=search] {
          border-color: var(--wp--preset--color--blue-1-a);
        }

        ul {
            .wpgb-button {
                color: var(--wp--preset--color--blue-1-a); 
                background-color: var(--wp--preset--color--green-1-d); 
            }
        }
        
        .wpgb-button-label {
            //background-color: var(--wp--preset--color--green-1-d);
        }
      }
     
    }
    
    .wpgb-filters__footer {
        color: var(--wp--preset--color--blue-1-a);
    }
}

.post-type-archive-team {
    .post-card.team {
        &:hover,
        &:focus {
            .post-card__inner {
                background-color: #FFF;
            }
        }

        .post-social {
            font-size: 12px;
        }
    }
}

.post-type-archive-team {
    .breadcrumb {
        li {
            color: var(--wp--preset--color--black);
        }
    }
}

.single-resource main#diagnostic-body nav#site-navigation ul li.slug-diagnostic > a,
.post-type-archive-resource main#diagnostic-body nav#site-navigation ul li.slug-diagnostic > a,
.single-tool main#diagnostic-body nav#site-navigation ul li.slug-diagnostic > a,
.post-type-archive-tool main#diagnostic-body nav#site-navigation ul li.slug-diagnostic > a {
    --vert-1-dark: #072c1f;
    --vert-1: #47fabb;

    background: var(--vert-1-dark);
    border-left-color: var(--vert-1-dark);
    color: var(--vert-1);

    &:hover,
    &:focus {
        background: var(--vert-1);
        border-left-color: var(--vert-1);
        color: var(--vert-1-dark);
    }
}

aside.results-nav {
    @media only screen and (min-width: 770px) and (max-width: 1199px) {
      width: 100% !important;
    }
}

// Test tableau 

table#outils-tableau thead tr.headers th {
    height: auto;
}

body.step-resultats-outils div.buttons a.button {
    flex-basis: calc(50% - .75rem);
    text-align: left;
}

body.step-resultats-outils div.buttons a.button + button.button {
    margin-left: auto;
  }